Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 230162

Summary: xen lockup (endless loop) of domU
Product: [Fedora] Fedora Reporter: Robert Story <rs>
Component: kernel-xenAssignee: Xen Maintainance List <xen-maint>
Status: CLOSED WONTFIX QA Contact: Virtualization Bugs <virt-bugs>
Severity: urgent Docs Contact:
Priority: medium    
Version: 5CC: bstein, xen-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-02-26 23:58:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Robert Story 2007-02-26 22:33:29 UTC
Description of problem:
Several times in the past few months I've had a DomU stop responding to my XDMCP
session. When I ssh in to the Dom0 and connect to the console, it spews an
endless loop of console messages. Attempts to ssh into the DomU timeout. In this
particular case, the messages were for a 'claws-mail' process. I don't recall
what the process was in the previous instances.


Version-Release number of selected component (if applicable):
DomU (2.6.18-1.2257.fc5xenU)
Dom0  2.6.18-1.2257.fc5xen0

How reproducible:
Not sure

Steps to Reproduce:
Unsure
  
Actual results:
un-responsive DomU

Expected results:
responsive DomU

Additional info:
Console was looping with these messages:

DWARF2 unwinder stuck at work_notifysig+0x13/0x1a

Leftover inexact backtrace:

 =======================
Bad pte = 006b60a0, process = claws-mail, vm_flags = 100070, vaddr = b7284000
 [<c04055c5>] dump_trace+0x69/0x1af
 [<c0405723>] show_trace_log_lvl+0x18/0x2c
 [<c0405cc2>] show_trace+0xf/0x11
 [<c0405cfa>] dump_stack+0x15/0x17
 [<c044aca8>] vm_normal_page+0x98/0xb0
 [<c044b297>] follow_page+0xe9/0x187
 [<c044cdc6>] get_user_pages+0x28c/0x2f5
 [<c048564a>] elf_core_dump+0x9ab/0xb95
 [<c0466da4>] do_coredump+0x4fe/0x555
 [<c04236db>] get_signal_to_deliver+0x403/0x432
 [<c04043d4>] do_notify_resume+0x76/0x61b
 [<c0404e01>] work_notifysig+0x13/0x1a
DWARF2 unwinder stuck at work_notifysig+0x13/0x1a

Leftover inexact backtrace:

 =======================
Bad pte = 006b60a0, process = claws-mail, vm_flags = 100070, vaddr = b7284000
 [<c04055c5>] dump_trace+0x69/0x1af
 [<c0405723>] show_trace_log_lvl+0x18/0x2c
 [<c0405cc2>] show_trace+0xf/0x11
 [<c0405cfa>] dump_stack+0x15/0x17
 [<c044aca8>] vm_normal_page+0x98/0xb0
 [<c044b297>] follow_page+0xe9/0x187
 [<c044cdc6>] get_user_pages+0x28c/0x2f5
 [<c048564a>] elf_core_dump+0x9ab/0xb95
 [<c0466da4>] do_coredump+0x4fe/0x555
 [<c04236db>] get_signal_to_deliver+0x403/0x432
 [<c04043d4>] do_notify_resume+0x76/0x61b
 [<c0404e01>] work_notifysig+0x13/0x1a

Comment 1 Robert Story 2007-02-28 16:24:30 UTC
Happened again today.. seems to be when a process core-dumps..

Leftover inexact backtrace:

 =======================
Bad pte = 006b60a0, process = vlc, vm_flags = 100070, vaddr = 2a8b000
 [<c04055c5>] dump_trace+0x69/0x1af
 [<c0405723>] show_trace_log_lvl+0x18/0x2c
 [<c0405cc2>] show_trace+0xf/0x11
 [<c0405cfa>] dump_stack+0x15/0x17
 [<c044aca8>] vm_normal_page+0x98/0xb0
 [<c044b297>] follow_page+0xe9/0x187
 [<c044cdc6>] get_user_pages+0x28c/0x2f5
 [<c048564a>] elf_core_dump+0x9ab/0xb95
 [<c0466da4>] do_coredump+0x4fe/0x555
 [<c04236db>] get_signal_to_deliver+0x403/0x432
 [<c04043d4>] do_notify_resume+0x76/0x61b
 [<c0404e01>] work_notifysig+0x13/0x1a
DWARF2 unwinder stuck at work_notifysig+0x13/0x1a



Comment 2 Red Hat Bugzilla 2007-07-25 01:39:04 UTC
change QA contact

Comment 3 Chris Lalancette 2008-02-26 23:58:25 UTC
This report targets FC5, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks